<?php

class Config
{
  var $data    = array();
  var $version = "0.5b";
  
  function Config()
  {
    @include("config.php");
    if(isset($data) && isset($inc_success))
    {
      $this->data = $data;
    }
    else
    {
      //echo "Failed opening 'config.php' for inclusion!<br>";
    }
  }
  
  function saveConfig()
  {
    $fp = @fopen("config.php", "w");
    if($fp)
    {
      fwrite($fp, "<?php\n");
      fwrite($fp, "  \$data = ".var_export($this->data, TRUE).";\n");
      fwrite($fp, "  \$inc_success = 1;\n");
      fwrite($fp, "?>\n");
    }
    else
    {
      echo "Failed writing config file!";
    }
  }
  
  function getAdminCredentials()
  {
    return(array("admin", "pass"));
  }
  
  function getDbHost()
  { return($this->data['db_host']);}
  
  function getDbLogin()
  { return($this->data['db_login']);}
  
  function getDbPass()
  { return($this->data['db_pass']);}
  
  function getDbName()
  { return($this->data['db_db']);}
  
  function getDbPrefix()
  { return($this->data['db_prefix']);}
  
  function isCategoryBlocked($cat)
  {
    //$blocklist = array("auto", "sport", "reise");
    $blocklist = array();
    return(in_array($cat, $blocklist));
  }
 
  function getImportMax()
  { return(5);}
  
  function getMaxImageSize()
  { return(300000);}

  function getVer()
  { return($this->version);}
  
  function setAdminCredentials($login, $pass)
  {
    
  }
  
  function setDbHost($var)
  { $this->data['db_host'] = $var;}
  
  function setDbLogin($var)
  { $this->data['db_login'] = $var;}
  
  function setDbPass($var)
  { $this->data['db_pass'] = $var;}
  
  function setDbName($var)
  { $this->data['db_db'] = $var;}
  
  function setDbPrefix($var)
  { $this->data['db_prefix'] = $var;}

}

?>