<?php

include_once("inc/import.class.php");

class Schlagzeilen extends Import
{
  
  function Schlagzeilgen(&$db, &$conf)
  {
    $this->Import($db, $conf);
  }
  
  function __getArticleList()
  {
    //$this->log("getArticleList: start");
    $file = new GetWebObject("www.spiegel.de", 80, "/schlagzeilen/0,1518,Z7,00.html");
    //$this->log("getArticleList: fetch file");
    $errno = $file->fetch();
    if(!$errno)
    {
      //$this->log("getArticleList: preg_match for content");
      preg_match("/^.*<div class=\"markvisited\">(.*?)<\/div>/s", $file->getContent(), $text);
      //$this->log("getArticleList: preg_match for urls");
      preg_match_all("/<a href=\"(\/.*?)\">.*?<font color=\"black\">/i", $text[1], $urls);
      $this->urls = $urls[1];
      //$this->log("getArticleList: return");
      return(0);
    }
    else
    {
      //$this->log("getArticleList: error in getArticleList");
      array_push($this->text, $file->getLogErrDesc($errno));
      return(1);
    }
  }
  
}

?>