<?php

  include_once("inc/config.class.php");

  $conf = new Config();
  $step_active = 1;
  $errors = array();

  // neue config einstellungen ...
  if(isset($_REQUEST['dbhost']))
  {
    $id = @mysql_connect($_REQUEST['dbhost'], $_REQUEST['dblogin'], $_REQUEST['dbpass']);
    if($id)
    {
      if(@mysql_select_db($_REQUEST['dbdb']))
      {
        $step_active = 2;
        $conf->setDbHost  ($_REQUEST['dbhost']);
        $conf->setDbName  ($_REQUEST['dbdb']);
        $conf->setDbLogin ($_REQUEST['dblogin']);
        $conf->setDbPass  ($_REQUEST['dbpass']);
        $conf->setDbPrefix($_REQUEST['dbprefix']);
        $conf->saveConfig();
      }
      else
      { array_push($errors, "Fehler beim Aufruf der angegebenen Datenbank:<br>".mysql_error());}
      mysql_close($id);
    }
    else
    { array_push($errors, "MySQL Zugangsdaten ungueltig:<br>".mysql_error());}
  }
  else
  {
    $id = @mysql_connect($conf->getDbHost(), $conf->getDbLogin(), $conf->getDbPass());
    if($id)
    {
      if(@mysql_select_db($conf->getDbName()))
      {
        $step_active = 2;
      }
      @mysql_close($id);
    }
  }
  
  if(isset($_REQUEST['create_tb']))
  {
    $id = @mysql_connect($conf->getDbHost(), $conf->getDbLogin(), $conf->getDbPass());
    if($id)
    {
      $tb_prefix = $conf->getDbPrefix();
      @mysql_select_db($conf->getDbName());

      $query = <<<EOT
      CREATE TABLE ${tb_prefix}news (
        id varchar(30) NOT NULL default '',
        title tinytext NOT NULL,
        maincat tinytext NOT NULL,
        subcat tinytext NOT NULL,
        content longtext NOT NULL,
        cdate int(11) NOT NULL default '0',
        PRIMARY KEY  (id),
        KEY cdate (cdate)
      ) TYPE=MyISAM;
EOT;

      $rs = @mysql_query($query);
      if(!$rs)
      { array_push($errors, "Konnte News-Tabelle nicht erstellen:<br>".mysql_error());}

      $query = <<<EOT
      CREATE TABLE ${tb_prefix}images (
        binary_junk mediumblob,
        filename varchar(50) NOT NULL default '',
        filetype varchar(50) default NULL,
        PRIMARY KEY  (filename)
      ) TYPE=MyISAM;
EOT;

      $rs = @mysql_query($query);
      if(!$rs)
      { array_push($errors, "Konnte Image-Tabelle nicht erstellen:<br>".mysql_error());}
      @mysql_close($id);
    }
  }
  
  if($step_active == 2)
  {
    $id = @mysql_connect($conf->getDbHost(), $conf->getDbLogin(), $conf->getDbPass());
    if($id)
    {
      $tb_prefix = $conf->getDbPrefix();
      @mysql_select_db($conf->getDbName());
      @mysql_query("select 1 from ${tb_prefix}news");
      if(@mysql_affected_rows() > 0)
      { $step_active = 3;}
      @mysql_close($id);
    }
  }
  
  $step1_class = "disabled";
  $step2_class = "disabled";
  $step3_class = "disabled";
  if($step_active == 1)
  { $step1_class = "active";}
  if($step_active == 2)
  { $step2_class = "active";}
  if($step_active == 3)
  { $step3_class = "active";}
?>
<html>
<head>
<title>Spiegel.de Archiv Installation</title>
<style type='text/css'>
<!--
.text
{
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 10pt;
}
.title
{
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 16pt;
  font-weight: bold;
}
.active
{
  color: #000000;
}
.disabled
{
  color: #BBBBBB;
}
input
{
  font-family: Verdana, Arial, Helvetica, sans-serif;
  font-size: 10pt;
  border: 1px;
  border-width: 1px;
  border-style: solid;
  border-color: #000000;
  background-color: #FFFFFF;
}
-->
</style>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#B20A15" vlink="#B20A15" alink="#FF0000">

<table border="0" cellspacing="0" cellpadding="2" class="text">
<tr class="title">
 <td colspan="2">Spiegel.de Archiv - Installation</td>
</tr>
<tr>
 <td colspan="2">&nbsp;</td>
</tr>

<?php

  echo <<<EOT
<tr class="${step1_class}">
 <td><b>Schritt 1<b></td>
 <td>Datenbankinfos hinterlegen</td>
</tr>
<tr class="${step2_class}">
 <td><b>Schritt 2<b></td>
 <td>Tabellen anlegen</td>
</tr>
<tr class="${step3_class}">
 <td><b>Schritt 3<b></td>
 <td>Fertig</td>
</tr>
<tr>
 <td colspan="2">&nbsp;</td>
</tr>
</table>

<table border="0" cellspacing="0" cellpadding="2" class="text" width="500" align="center">
EOT;

  foreach($errors as $line)
  {
    echo <<<EOT
    <tr>
     <td colspan="2" align="center">
      <b><font color="red">${line}</font></b>
     </td>
    </tr>
EOT;
  }

  if($step_active == 1)
  {
    $db_host    = $_REQUEST['dbhost'];
    $db_db      = $_REQUEST['dbdb'];
    $db_login   = $_REQUEST['dblogin'];
    $db_pass    = $_REQUEST['dbpass'];
    $db_prefix  = $_REQUEST['dbprefix'];

    echo <<<EOT
    <form method="POST">
    <tr align="center">
     <td colspan="2"><b>MySQL Zugangsdaten</b></td>
    </tr>
    <tr>
     <td>Hostname</td>
     <td><input type="text" name="dbhost" value="${db_host}"></td>
    </tr>
    <tr>
     <td>Datenbank</td>
     <td><input type="text" name="dbdb" value="${db_db}"></td>
    </tr>
    <tr>
     <td>DB-Login</td>
     <td><input type="text" name="dblogin" value="${db_login}"></td>
    </tr>
    <tr>
     <td>DB-Passwort</td>
     <td><input type="password" name="dbpass" value="${db_pass}"></td>
    </tr>
    <tr>
     <td>Tabellen-Prefix (opt)</td>
     <td><input type="text" name="dbprefix" value="${db_prefix}"></td>
    </tr>
    <tr align="center">
     <td colspan="2">
      <br><input type="submit" value=" Speichern ">
     </td>
    </tr>
    </form>
EOT;
  }
  elseif($step_active == 2)
  {
    $tb_prefix = $conf->getDbPrefix();
    
    echo <<<EOT
    <tr>
     <td colspan="2"><b>Die MySQL-Verbindungsdaten scheinen korrekt zu sein!</b></td>
    </tr>
    <tr>
     <td colspan="2">
      <br>Im n&auml;chsten Schritt werden die Tabellen angelegt, die f&uuml;r das Programm
      n&ouml;tig sind.
      <ul>
      <li> ${tb_prefix}<b>news</b></li>
      <li> ${tb_prefix}<b>images</b></li>
      </ul>
      In Schritt 1 konnte ein &quot;Prefix&quot; definiert werden, der jedem Tabellennamen
      vorangestellt wird. Dies ist z.B. bei Webhosting-Angeboten hilfreich, die dem Kunden
      nur eine Datenbank zur Verfgung stellen.<br><br>
      Sollten bereits Tabellen mit den oben angezeigten Namen existieren, &auml;ndern Sie
      bitte den Prefix in Schritt 1 um einen eindeutigen Namen zu bekommen.
     </td>
    </tr>
    <tr>
     <td colspan="2" align="center">
      <form action="install.php" method="POST">
       <input type="hidden" name="create_tb" value="1">
       <input type="submit" value=" Tabellen jetzt erstellen ">
      </form>
     </td>
    </tr>
EOT;
  }
  elseif($step_active == 3)
  {
    echo <<<EOT
    <tr>
     <td colspan="2">
      <b>Die Installation ist abgeschlossen.</b><br><br>
      Bitte l&ouml;schen Sie diese Datei (install.php) aus dem Verzeichnis, und rufen Sie
      <a href="./">das Archiv</a> auf. Viel Spass bei der Nutzung :-)
     </td>
    </tr>
EOT;
  }

?>

</table>

</body>